Bug 178181 - [update]: net-im/vacuum-im up to latest
Summary: [update]: net-im/vacuum-im up to latest
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-26 14:10 UTC by Veniamin
Modified: 2013-04-29 08:50 UTC (History)
0 users

See Also:


Attachments
file.diff (4.67 KB, patch)
2013-04-26 14:10 UTC, Veniamin
no flags Details | Diff
vacuum.diff (5.87 KB, patch)
2013-04-28 14:33 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Veniamin 2013-04-26 14:10:00 UTC
Update to latest stable version.
Comment 1 Guido Falsi freebsd_committer 2013-04-26 21:05:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 Guido Falsi freebsd_committer 2013-04-28 14:33:58 UTC
Hi,

While testing I have removed things which go in DOCSDIR from the PLIST 
and took advantage of the PORTDOCS Makefile variable for them. This 
simplifies the plist.

Can you approve the attached patch?

Thanks in advance!

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 3 Guido Falsi freebsd_committer 2013-04-28 14:35:08 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 4 Guido Falsi freebsd_committer 2013-04-29 08:43:04 UTC
State Changed
From-To: feedback->open

Maintainer approved via private email.
Comment 5 Guido Falsi freebsd_committer 2013-04-29 08:49:43 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2013-04-29 08:49:43 UTC
Author: madpilot
Date: Mon Apr 29 07:49:29 2013
New Revision: 316777
URL: http://svnweb.freebsd.org/changeset/ports/316777

Log:
  - Update to 1.2.2
  - Use PORTDOCS
  - Use space for WWW line in pkg-descr
  
  PR:		ports/178181
  Submitted by:	Veniamin Gvozdikov <g.veniamin@googlemail.com> (maintainer)

Modified:
  head/net-im/vacuum-im/Makefile
  head/net-im/vacuum-im/distinfo
  head/net-im/vacuum-im/pkg-descr   (contents, props changed)
  head/net-im/vacuum-im/pkg-plist

Modified: head/net-im/vacuum-im/Makefile
==============================================================================
--- head/net-im/vacuum-im/Makefile	Mon Apr 29 07:45:20 2013	(r316776)
+++ head/net-im/vacuum-im/Makefile	Mon Apr 29 07:49:29 2013	(r316777)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	vacuum
-PORTVERSION=	1.2.1
-PORTREVISION=	1
+PORTVERSION=	1.2.2
 CATEGORIES=	net-im
 MASTER_SITES=	GOOGLE_CODE
 PKGNAMESUFFIX=	-im
@@ -23,6 +22,8 @@ USE_QT4=	gui xml qmake_build uic_build m
 		network linguist_build webkit
 MAKE_JOBS_SAFE=	yes
 
+PORTDOCS=	AUTHORS CHANGELOG COPYING README TRANSLATORS
+
 DESKTOP_ENTRIES="Vacuum-IM" "Modular, crossplatform Jabber client" \
 		"${PREFIX}/share/pixmaps/vacuum.png" "${PORTNAME}" \
 		"Qt;Network;InstantMessaging;" false

Modified: head/net-im/vacuum-im/distinfo
==============================================================================
--- head/net-im/vacuum-im/distinfo	Mon Apr 29 07:45:20 2013	(r316776)
+++ head/net-im/vacuum-im/distinfo	Mon Apr 29 07:49:29 2013	(r316777)
@@ -1,2 +1,2 @@
-SHA256 (vacuum-1.2.1.tar.xz) = 355177f665f234f4b33d5b5da45d53a74865a3c71ac1cff44436f0f2b6a1afa5
-SIZE (vacuum-1.2.1.tar.xz) = 1614516
+SHA256 (vacuum-1.2.2.tar.xz) = 1d0faa83c5610a2f525494c15d233c09bc89b7b9f079a20aac07ce497adef3da
+SIZE (vacuum-1.2.2.tar.xz) = 1612692

Modified: head/net-im/vacuum-im/pkg-descr
==============================================================================
--- head/net-im/vacuum-im/pkg-descr	Mon Apr 29 07:45:20 2013	(r316776)
+++ head/net-im/vacuum-im/pkg-descr	Mon Apr 29 07:49:29 2013	(r316777)
@@ -3,4 +3,4 @@ The core program is just a plugin loader
 via plugins. This enforces modularity and ensures well defined component
 interaction via interfaces.
 
-WWW:	http://code.google.com/p/vacuum-im/
+WWW: http://code.google.com/p/vacuum-im/

Modified: head/net-im/vacuum-im/pkg-plist
==============================================================================
--- head/net-im/vacuum-im/pkg-plist	Mon Apr 29 07:45:20 2013	(r316776)
+++ head/net-im/vacuum-im/pkg-plist	Mon Apr 29 07:49:29 2013	(r316777)
@@ -199,12 +199,9 @@ lib/vacuum/plugins/liburlprocessor.so
 lib/vacuum/plugins/librosteritemexchange.so
 lib/vacuum/plugins/libfilemessagearchive.so
 lib/vacuum/plugins/libservermessagearchive.so
-share/doc/vacuum/AUTHORS
-share/doc/vacuum/CHANGELOG
-share/doc/vacuum/COPYING
-share/doc/vacuum/README
 share/pixmaps/vacuum.png
 %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Info.plist
+%%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Footer.html
 %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Header.html
 %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Incoming/Content.html
 %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Incoming/Context.html
@@ -216,8 +213,14 @@ share/pixmaps/vacuum.png
 %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Outgoing/NextContent.html
 %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Outgoing/NextContext.html
 %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Outgoing/buddy_icon.png
+%%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Renkoo LICENSE.txt
 %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Status.html
-%%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Template.html
+%%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Styles/Header.css
+%%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Styles/Topic.css
+%%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Styles/alternating.css
+%%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Styles/main.css
+%%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Styles/noname.css
+%%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Topic.html
 %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Variants/Blue on Green Alternating.css
 %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Variants/Blue on Green No Names Alt.css
 %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Variants/Blue on Green No Names.css
@@ -298,7 +301,6 @@ share/pixmaps/vacuum.png
 %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Variants/Yellow on Steel No Names Alt.css
 %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Variants/Yellow on Steel No Names.css
 %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Variants/Yellow on Steel.css
-%%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/alternating.css
 %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/images/DummyContact.png
 %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/images/alert.png
 %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/images/blueBackground.gif
@@ -350,8 +352,6 @@ share/pixmaps/vacuum.png
 %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/images/yellowTL.png
 %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/images/yellowTR.png
 %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/incoming_icon.png
-%%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/main.css
-%%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/noname.css
 %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/outgoing_icon.png
 %%DATADIR%%/resources/adiummessagestyles/shared/Template.html
 %%DATADIR%%/resources/adiummessagestyles/yMous/Contents/Info.plist
@@ -1368,7 +1368,6 @@ share/pixmaps/vacuum.png
 %%DATADIR%%/translations/uk/birthdayreminder.qm
 %%DATADIR%%/translations/uk/servermessagearchive.qm
 %%DATADIR%%/translations/uk/urlprocessor.qm
-%%DOCSDIR%%/TRANSLATORS
 @dirrm %%DATADIR%%/translations/uk
 @dirrm %%DATADIR%%/translations/ru
 @dirrm %%DATADIR%%/translations/pl
@@ -1426,6 +1425,7 @@ share/pixmaps/vacuum.png
 @dirrm %%DATADIR%%/resources/adiummessagestyles/yMous/Contents
 @dirrm %%DATADIR%%/resources/adiummessagestyles/yMous
 @dirrm %%DATADIR%%/resources/adiummessagestyles/shared
+@dirrm %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Styles
 @dirrm %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/images
 @dirrm %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Variants
 @dirrm %%DATADIR%%/resources/adiummessagestyles/renkoo/Contents/Resources/Outgoing
@@ -1436,7 +1436,6 @@ share/pixmaps/vacuum.png
 @dirrm %%DATADIR%%/resources/adiummessagestyles
 @dirrm %%DATADIR%%/resources
 @dirrm %%DATADIR%%
-@dirrm share/doc/vacuum
 @dirrmtry share/applications
 @dirrm lib/vacuum/plugins
 @dirrm lib/vacuum
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"